unit Lockedit;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, mdSWLock, StdCtrls, Buttons;

type
  TfmLockEdit = class(TmdRegisterForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Label1: TLabel;
    Label2: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
  private
    { Private declarations }
  public
    { Public declarations }
    Function Register(ASWLock : TmdSWLock) : TModalResult; Override;
  end;

var
  fmLockEdit: TfmLockEdit;

implementation

{$R *.DFM}

Function TfmLockEdit.Register(ASWLock : TmdSWLock) : TModalResult;
Begin
  If ASWLock.Registered Then
    Caption := 'REGISTERED - '
  else
    Caption := 'UNREGISTERED - ';
  Caption := Caption + ASWLock.Owner.ClassName;
  Edit1.Text := ASWLock.RegName;
  Edit2.Text := ASWLock.RegCode;
  Result := Inherited Register(ASWLock);
  If Result = mrOK Then
    ASWLock.Register(Edit1.Text,'',ASWLock.Owner.ClassName,Edit2.Text);
end;

end.
